After February 20th 2018, all embed and API requests to strawpoll.me must use a secure connection (https).

Are you one of the "majority of cases" that have been fixed?

Results